# ds-drilling

![](/files/3hFlqwO333Q3UOgnSlHE)

[<mark style="color:purple;">**View on Tebex**</mark>](https://dolajiscripts.com/package/5108477) <mark style="color:purple;">**|**</mark> [<mark style="color:purple;">**CFX Fourm Post**</mark>](https://youtu.be/nihdezKcZgI) <mark style="color:purple;">**|**</mark> [<mark style="color:purple;">**Youtube Video**</mark>](https://youtu.be/nihdezKcZgI) <mark style="color:purple;">**|**</mark> [<mark style="color:purple;">**Discord**</mark>](https://discord.gg/vhF9ke3hJG)

## Installaction(optional)

### Dependencies

| Dependency                                       | Download                                                                                            | Description                           |
| ------------------------------------------------ | --------------------------------------------------------------------------------------------------- | ------------------------------------- |
| <mark style="color:purple;">**qb-target**</mark> | [Link](https://cdn.discordapp.com/attachments/932109362623832146/1036890639276724324/qb-target.zip) | A better interaction system for FiveM |
| <mark style="color:purple;">**qb-input**</mark>  | [Link](https://github.com/qbcore-framework/qb-input)                                                | batter input menu for fivem           |

### Start

* Extract `ds-drilling.zip` and place it into your resource folder.
* Install and ensure [dependencies](#dependencies) for the resource.
* Setup`config.lua` (⚠️see [#CONFIGURATION](#configuration) for instructions).&#x20;
* Add`ensure ds-drilling`to your server start config (place it anywhere below the dependency & framework resources).

### Configuration

{% hint style="warning" %}
Please go through **all** configurable options & settings in `config.lua and config.js` and configure them to your server's preferences.

Also please read the comments at the end of each line, for a brief information on what the option does.&#x20;
{% endhint %}

### **Add Items**

{% tabs %}
{% tab title="QBCore" %}
{% code lineNumbers="true" %}

```lua
['kerosene'] = {
	['name'] = 'kerosene', 			 	  	  	
	['label'] = 'kerosene', 					
	['weight'] = 0, 		
	['type'] = 'item', 		
	['image'] = 'kerosene.png', 				
	['unique'] = true, 		
	['useable'] = true, 	
	['shouldClose'] = false,   
	['combinable'] = nil,   
	['description'] = 'oil'
},
['gasoline'] = {
	['name'] = 'gasoline', 			 	  	  	
	['label'] = 'gasoline', 					
	['weight'] = 0, 		
	['type'] = 'item', 		
	['image'] = 'gasoline.png', 				
	['unique'] = true, 		
	['useable'] = true, 	
	['shouldClose'] = false,   
	['combinable'] = nil,   
	['description'] = 'oil'
},
```

{% endcode %}
{% endtab %}

{% tab title="ESX" %}

```sql
INSERT INTO items (name, label, weight, rare, can_remove) VALUES ('kerosene', 'Kerosene', 1, 0, 1), ('gasoline', 'Gasoline', 2, 0, 1);
```

{% endtab %}

{% tab title="Images" %}
[Download link](https://cdn.discordapp.com/attachments/952436645267922994/1012727311218528286/images.rar)
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dolajiscripts.com/resources/ds-drilling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
